## ibod-1.5.0.tar.bz2

=== Makefile ===
# $Id: Makefile,v 1.1.1.1 2001/01/10 09:38:27 datenwelt Exp $
# $Symbol$

VERSION =		1.4
RCSSYMBOL =		R1_4

SRCS_C =		ibod.c
SRCS_H =		ibod.h
SRCS_MISC =		Makefile ibod.cf
SRCS_MAN =		ibod.1 ibod.cf.4
SRCS_ALL =		$(SRCS_C) $(SRCS_H) $(SRCS_MISC) $(SRCS_MAN)

CC =			gcc
DEFS =			-DTCP_WRAPPERS -DIBOD_DEFAULT_DIR='"/etc/isdn"'
CFLAGS =		-Wall -g
LIBS =			-lwrap
INSTALL =		install
INSTALL_FILE =		$(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM =	$(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT =	$(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR =		$(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif




all:			ibod ibod_cf.4

ibod:			ibod.c ibod.h Makefile
			$(CC) $(CFLAGS) -o ibod ibod.c $(DEFS) $(LIBS)

ibod_cf.4:		ibod.cf.4
			cp -a ibod.cf.4 ibod_cf.4

freeze:
			rcs -n$(RCSSYMBOL): $(SRCS_ALL)

dist-src:
			@set -x; \
			tar cvf tmp.tar $(SRCS_ALL); \
			gzip tmp.tar; \
			mv tmp.tar.gz ibod-$(VERSION)-src.tar.gz
			
dist-bin:		all
			@set -x; \
			tar cvf tmp.tar ibod $(SRCS_MAN) ibod.cf; \
			gzip tmp.tar; \
			mv tmp.tar.gz ibod-$(VERSION)-bin.tar.gz

clean:
			rm *~ *.o ibod ibod_cf.4 2>/dev/null || true

install:		all
			$(INSTALL_PROGRAM) -s ibod $(DESTDIR)/usr/bin

=== debian/changelog ===
ibod (1.5.0-4) unstable; urgency=high

  * Fix FTBFS error due to file permissions in orig.tar.
    (Closes: #264244)

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 20:56:40 +0100

ibod (1.5.0-3) unstable; urgency=low

  * Change all occurrences of str_errlist[] to strerror().
  * Fix building with 2.6 kernel headers (as now shipped with libc6).
    This ugly hack consists of #defining __ISDN_FSM_H__ so that other
    headers aren't included. (Closes: #223160)
  * Update to standards version 3.6.1.0
    + Update DEB_BUILD_OPTIONS behaviour to new policy (noopt rather
      than debug).
  * Use dh_installppp now it's available, and change Build-Depends 
    appropriately. (Closes: #212829)

 -- Paul Martin <pm@debian.org>  Fri, 12 Dec 2003 23:02:41 +0000

ibod (1.5.0-2) unstable; urgency=low

  * Updated to standards version 3.5.6.
  * Applied patch from Bernd Harmsen <Bernd.Harmsen@onlinehome.de> to
    add UPLIMIT, DOWNLIMIT and STAYDOWN options to ibod.cf
  * Removed emacs settings from debian/changelog.
  * Use and depend on debhelper 4.

 -- Paul Martin <pm@debian.org>  Tue, 13 Aug 2002 00:18:11 +0100

ibod (1.5.0-1) unstable; urgency=low

  * Initial Release. Closes: #86075
  * ibod.h: Fixed default LIMIT (upstream had 7000, should have been 90)
  * ibod.c: Cleaned up a few compiler warnings
  * ibod.c: Caught error return from write, that doesn't seem to be
    caught by SIGPIPE signal handler.
  * ibod.c: Added tcp_wrappers.
  * ibod.c: commented out a syslog() that was being a bit too verbose.

 -- Paul Martin <pm@debian.org>  Sun, 25 Feb 2001 18:38:10 +0000

=== debian/control ===
Source: ibod
Section: net
Priority: extra
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: debhelper (>> 4.1.68), libwrap0-dev
Standards-Version: 3.6.1

Package: ibod
Architecture: any
Depends: ${shlibs:Depends}, ipppd | isdnutils
Description: ISDN MPPP bandwidth on demand daemon
 ibod is a ISDN MPPP bandwidth on demand daemon designed to operate in
 conjunction with isdn4linux. The program monitors inbound and outbound
 traffic on the ISDN interface. When the required bandwidth exceeds the
 capacity for the current number of ISDN B-channels, more (slave)
 channels are connected according to the MPPP protocol. When the traffic
 decreases, the slave channel(s) are disconnected.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ibod.sgml > ibod.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	
	# Upstream tarball has all files set read-only
	chmod -R +w $(CURDIR)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ibod.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ibod
	install -m644 ibod.cf $(CURDIR)/debian/ibod/etc/isdn


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples ibod.cf
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installppp --name=00-ibod
	dh_installppp --name=zz-ibod
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
